hypot.hpp File Reference
`#include <stan/math/fwd/core.hpp>`
`#include <stan/math/prim/scal/fun/hypot.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
fvar< T > | stan::math::hypot (const fvar< T > &x1, const fvar< T > &x2)
| Return the length of the hypoteneuse of a right triangle with opposite and adjacent side lengths given by the specified arguments (C++11). More...
template<typename T >
fvar< T > | stan::math::hypot (const fvar< T > &x1, double x2)
| Return the length of the hypoteneuse of a right triangle with opposite and adjacent side lengths given by the specified arguments (C++11). More...
template<typename T >
fvar< T > | stan::math::hypot (double x1, const fvar< T > &x2)
| Return the length of the hypoteneuse of a right triangle with opposite and adjacent side lengths given by the specified arguments (C++11). More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.